Index: /branches/HeuristicLab.Hive.Azure/CopyIfNewer.bat
===================================================================
--- /branches/HeuristicLab.Hive.Azure/CopyIfNewer.bat	(revision 7019)
+++ /branches/HeuristicLab.Hive.Azure/CopyIfNewer.bat	(revision 7019)
@@ -0,0 +1,26 @@
+@echo off
+echo Comparing two files: %1 with %2
+
+if not exist %1 goto File1NotFound
+if not exist %2 goto File2NotFound
+
+fc %1 %2 
+if %ERRORLEVEL%==0 GOTO NoCopy
+
+echo Files are not the same.  Copying %1 over %2
+copy %1 %2 /y & goto END
+
+:NoCopy
+echo Files are the same.  Did nothing
+goto END
+
+:File1NotFound
+echo %1 not found.
+goto END
+
+:File2NotFound
+copy %1 %2 /y
+goto END
+
+:END
+echo Done.
Index: /branches/HeuristicLab.Hive.Azure/HeuristicLab 3.3 Hive.sln
===================================================================
--- /branches/HeuristicLab.Hive.Azure/HeuristicLab 3.3 Hive.sln	(revision 7018)
+++ /branches/HeuristicLab.Hive.Azure/HeuristicLab 3.3 Hive.sln	(revision 7019)
@@ -58,4 +58,10 @@
 		Debug|x64 = Debug|x64
 		Debug|x86 = Debug|x86
+		DebugLocal|Any CPU = DebugLocal|Any CPU
+		DebugLocal|x64 = DebugLocal|x64
+		DebugLocal|x86 = DebugLocal|x86
+		DebugServices|Any CPU = DebugServices|Any CPU
+		DebugServices|x64 = DebugServices|x64
+		DebugServices|x86 = DebugServices|x86
 		Release|Any CPU = Release|Any CPU
 		Release|x64 = Release|x64
@@ -69,4 +75,16 @@
 		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Debug|x86.ActiveCfg = Debug|x86
 		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Debug|x86.Build.0 = Debug|x86
+		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.DebugLocal|Any CPU.ActiveCfg = DebugLocal|Any CPU
+		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.DebugLocal|Any CPU.Build.0 = DebugLocal|Any CPU
+		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.DebugLocal|x64.ActiveCfg = DebugLocal|x64
+		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.DebugLocal|x64.Build.0 = DebugLocal|x64
+		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.DebugLocal|x86.ActiveCfg = DebugLocal|x86
+		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.DebugLocal|x86.Build.0 = DebugLocal|x86
+		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.DebugServices|Any CPU.ActiveCfg = DebugServices|Any CPU
+		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.DebugServices|Any CPU.Build.0 = DebugServices|Any CPU
+		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.DebugServices|x64.ActiveCfg = DebugServices|x64
+		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.DebugServices|x64.Build.0 = DebugServices|x64
+		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.DebugServices|x86.ActiveCfg = DebugServices|x86
+		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.DebugServices|x86.Build.0 = DebugServices|x86
 		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -81,4 +99,16 @@
 		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Debug|x86.ActiveCfg = Debug|x86
 		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Debug|x86.Build.0 = Debug|x86
+		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.DebugLocal|Any CPU.ActiveCfg = DebugLocal|Any CPU
+		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.DebugLocal|Any CPU.Build.0 = DebugLocal|Any CPU
+		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.DebugLocal|x64.ActiveCfg = DebugLocal|x64
+		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.DebugLocal|x64.Build.0 = DebugLocal|x64
+		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.DebugLocal|x86.ActiveCfg = DebugLocal|x86
+		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.DebugLocal|x86.Build.0 = DebugLocal|x86
+		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.DebugServices|Any CPU.ActiveCfg = DebugServices|Any CPU
+		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.DebugServices|Any CPU.Build.0 = DebugServices|Any CPU
+		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.DebugServices|x64.ActiveCfg = DebugServices|x64
+		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.DebugServices|x64.Build.0 = DebugServices|x64
+		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.DebugServices|x86.ActiveCfg = DebugServices|x86
+		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.DebugServices|x86.Build.0 = DebugServices|x86
 		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -93,4 +123,16 @@
 		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Debug|x86.ActiveCfg = Debug|x86
 		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Debug|x86.Build.0 = Debug|x86
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.DebugLocal|Any CPU.ActiveCfg = DebugLocal|Any CPU
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.DebugLocal|Any CPU.Build.0 = DebugLocal|Any CPU
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.DebugLocal|x64.ActiveCfg = DebugLocal|x64
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.DebugLocal|x64.Build.0 = DebugLocal|x64
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.DebugLocal|x86.ActiveCfg = DebugLocal|x86
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.DebugLocal|x86.Build.0 = DebugLocal|x86
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.DebugServices|Any CPU.ActiveCfg = DebugServices|Any CPU
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.DebugServices|Any CPU.Build.0 = DebugServices|Any CPU
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.DebugServices|x64.ActiveCfg = DebugServices|x64
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.DebugServices|x64.Build.0 = DebugServices|x64
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.DebugServices|x86.ActiveCfg = DebugServices|x86
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.DebugServices|x86.Build.0 = DebugServices|x86
 		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -105,4 +147,16 @@
 		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|x86.ActiveCfg = Debug|x86
 		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|x86.Build.0 = Debug|x86
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.DebugLocal|Any CPU.ActiveCfg = DebugLocal|Any CPU
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.DebugLocal|Any CPU.Build.0 = DebugLocal|Any CPU
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.DebugLocal|x64.ActiveCfg = DebugLocal|x64
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.DebugLocal|x64.Build.0 = DebugLocal|x64
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.DebugLocal|x86.ActiveCfg = DebugLocal|x86
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.DebugLocal|x86.Build.0 = DebugLocal|x86
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.DebugServices|Any CPU.ActiveCfg = DebugServices|Any CPU
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.DebugServices|Any CPU.Build.0 = DebugServices|Any CPU
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.DebugServices|x64.ActiveCfg = DebugServices|x64
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.DebugServices|x64.Build.0 = DebugServices|x64
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.DebugServices|x86.ActiveCfg = DebugServices|x86
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.DebugServices|x86.Build.0 = DebugServices|x86
 		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -117,4 +171,16 @@
 		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Debug|x86.ActiveCfg = Debug|x86
 		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Debug|x86.Build.0 = Debug|x86
+		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.DebugLocal|Any CPU.ActiveCfg = DebugLocal|Any CPU
+		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.DebugLocal|Any CPU.Build.0 = DebugLocal|Any CPU
+		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.DebugLocal|x64.ActiveCfg = DebugLocal|x64
+		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.DebugLocal|x64.Build.0 = DebugLocal|x64
+		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.DebugLocal|x86.ActiveCfg = DebugLocal|x86
+		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.DebugLocal|x86.Build.0 = DebugLocal|x86
+		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.DebugServices|Any CPU.ActiveCfg = DebugServices|Any CPU
+		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.DebugServices|Any CPU.Build.0 = DebugServices|Any CPU
+		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.DebugServices|x64.ActiveCfg = DebugServices|x64
+		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.DebugServices|x64.Build.0 = DebugServices|x64
+		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.DebugServices|x86.ActiveCfg = DebugServices|x86
+		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.DebugServices|x86.Build.0 = DebugServices|x86
 		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -129,4 +195,16 @@
 		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Debug|x86.ActiveCfg = Debug
 		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Debug|x86.Build.0 = Debug
+		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.DebugLocal|Any CPU.ActiveCfg = DebugLocal
+		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.DebugLocal|Any CPU.Build.0 = DebugLocal
+		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.DebugLocal|x64.ActiveCfg = DebugLocal
+		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.DebugLocal|x64.Build.0 = DebugLocal
+		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.DebugLocal|x86.ActiveCfg = DebugLocal
+		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.DebugLocal|x86.Build.0 = DebugLocal
+		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.DebugServices|Any CPU.ActiveCfg = DebugServices
+		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.DebugServices|Any CPU.Build.0 = DebugServices
+		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.DebugServices|x64.ActiveCfg = DebugServices
+		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.DebugServices|x64.Build.0 = DebugServices
+		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.DebugServices|x86.ActiveCfg = DebugServices
+		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.DebugServices|x86.Build.0 = DebugServices
 		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Release|Any CPU.ActiveCfg = Release
 		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Release|Any CPU.Build.0 = Release
@@ -141,4 +219,16 @@
 		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Debug|x86.ActiveCfg = Debug|x86
 		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Debug|x86.Build.0 = Debug|x86
+		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.DebugLocal|Any CPU.ActiveCfg = DebugLocal|Any CPU
+		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.DebugLocal|Any CPU.Build.0 = DebugLocal|Any CPU
+		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.DebugLocal|x64.ActiveCfg = DebugLocal|x64
+		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.DebugLocal|x64.Build.0 = DebugLocal|x64
+		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.DebugLocal|x86.ActiveCfg = DebugLocal|x86
+		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.DebugLocal|x86.Build.0 = DebugLocal|x86
+		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.DebugServices|Any CPU.ActiveCfg = DebugServices|Any CPU
+		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.DebugServices|Any CPU.Build.0 = DebugServices|Any CPU
+		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.DebugServices|x64.ActiveCfg = DebugServices|x64
+		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.DebugServices|x64.Build.0 = DebugServices|x64
+		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.DebugServices|x86.ActiveCfg = DebugServices|x86
+		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.DebugServices|x86.Build.0 = DebugServices|x86
 		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -153,4 +243,16 @@
 		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Debug|x86.ActiveCfg = Debug
 		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Debug|x86.Build.0 = Debug
+		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.DebugLocal|Any CPU.ActiveCfg = DebugLocal
+		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.DebugLocal|Any CPU.Build.0 = DebugLocal
+		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.DebugLocal|x64.ActiveCfg = DebugLocal
+		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.DebugLocal|x64.Build.0 = DebugLocal
+		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.DebugLocal|x86.ActiveCfg = DebugLocal
+		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.DebugLocal|x86.Build.0 = DebugLocal
+		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.DebugServices|Any CPU.ActiveCfg = DebugServices
+		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.DebugServices|Any CPU.Build.0 = DebugServices
+		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.DebugServices|x64.ActiveCfg = DebugServices
+		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.DebugServices|x64.Build.0 = DebugServices
+		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.DebugServices|x86.ActiveCfg = DebugServices
+		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.DebugServices|x86.Build.0 = DebugServices
 		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Release|Any CPU.ActiveCfg = Release
 		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Release|Any CPU.Build.0 = Release
@@ -165,4 +267,16 @@
 		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Debug|x86.ActiveCfg = Debug|x86
 		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Debug|x86.Build.0 = Debug|x86
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.DebugLocal|Any CPU.ActiveCfg = DebugLocal|Any CPU
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.DebugLocal|Any CPU.Build.0 = DebugLocal|Any CPU
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.DebugLocal|x64.ActiveCfg = DebugLocal|x64
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.DebugLocal|x64.Build.0 = DebugLocal|x64
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.DebugLocal|x86.ActiveCfg = DebugLocal|x86
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.DebugLocal|x86.Build.0 = DebugLocal|x86
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.DebugServices|Any CPU.ActiveCfg = DebugServices|Any CPU
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.DebugServices|Any CPU.Build.0 = DebugServices|Any CPU
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.DebugServices|x64.ActiveCfg = DebugServices|x64
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.DebugServices|x64.Build.0 = DebugServices|x64
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.DebugServices|x86.ActiveCfg = DebugServices|x86
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.DebugServices|x86.Build.0 = DebugServices|x86
 		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -177,4 +291,16 @@
 		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Debug|x86.ActiveCfg = Debug|x86
 		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Debug|x86.Build.0 = Debug|x86
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.DebugLocal|Any CPU.ActiveCfg = DebugLocal|Any CPU
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.DebugLocal|Any CPU.Build.0 = DebugLocal|Any CPU
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.DebugLocal|x64.ActiveCfg = DebugLocal|x64
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.DebugLocal|x64.Build.0 = DebugLocal|x64
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.DebugLocal|x86.ActiveCfg = DebugLocal|x86
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.DebugLocal|x86.Build.0 = DebugLocal|x86
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.DebugServices|Any CPU.ActiveCfg = DebugServices|Any CPU
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.DebugServices|Any CPU.Build.0 = DebugServices|Any CPU
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.DebugServices|x64.ActiveCfg = DebugServices|x64
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.DebugServices|x64.Build.0 = DebugServices|x64
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.DebugServices|x86.ActiveCfg = DebugServices|x86
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.DebugServices|x86.Build.0 = DebugServices|x86
 		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -186,4 +312,12 @@
 		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.Debug|x64.ActiveCfg = Debug|Any CPU
 		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.DebugLocal|Any CPU.ActiveCfg = Debug|Any CPU
+		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.DebugLocal|Any CPU.Build.0 = Debug|Any CPU
+		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.DebugLocal|x64.ActiveCfg = Debug|Any CPU
+		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.DebugLocal|x86.ActiveCfg = Debug|Any CPU
+		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.DebugServices|Any CPU.ActiveCfg = Debug|Any CPU
+		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.DebugServices|Any CPU.Build.0 = Debug|Any CPU
+		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.DebugServices|x64.ActiveCfg = Debug|Any CPU
+		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.DebugServices|x86.ActiveCfg = Debug|Any CPU
 		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.Release|Any CPU.ActiveCfg = Debug|Any CPU
 		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.Release|x64.ActiveCfg = Debug|Any CPU
@@ -193,4 +327,12 @@
 		{580F7D6B-95DD-406A-B962-3BFE50AAF0E8}.Debug|x64.ActiveCfg = Debug|Any CPU
 		{580F7D6B-95DD-406A-B962-3BFE50AAF0E8}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{580F7D6B-95DD-406A-B962-3BFE50AAF0E8}.DebugLocal|Any CPU.ActiveCfg = DebugLocal|Any CPU
+		{580F7D6B-95DD-406A-B962-3BFE50AAF0E8}.DebugLocal|Any CPU.Build.0 = DebugLocal|Any CPU
+		{580F7D6B-95DD-406A-B962-3BFE50AAF0E8}.DebugLocal|x64.ActiveCfg = DebugLocal|Any CPU
+		{580F7D6B-95DD-406A-B962-3BFE50AAF0E8}.DebugLocal|x86.ActiveCfg = DebugLocal|Any CPU
+		{580F7D6B-95DD-406A-B962-3BFE50AAF0E8}.DebugServices|Any CPU.ActiveCfg = DebugServices|Any CPU
+		{580F7D6B-95DD-406A-B962-3BFE50AAF0E8}.DebugServices|Any CPU.Build.0 = DebugServices|Any CPU
+		{580F7D6B-95DD-406A-B962-3BFE50AAF0E8}.DebugServices|x64.ActiveCfg = DebugServices|Any CPU
+		{580F7D6B-95DD-406A-B962-3BFE50AAF0E8}.DebugServices|x86.ActiveCfg = DebugServices|Any CPU
 		{580F7D6B-95DD-406A-B962-3BFE50AAF0E8}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{580F7D6B-95DD-406A-B962-3BFE50AAF0E8}.Release|Any CPU.Build.0 = Release|Any CPU
@@ -201,4 +343,12 @@
 		{F29F88CE-290A-4169-A896-A6835D354934}.Debug|x64.ActiveCfg = Debug|Any CPU
 		{F29F88CE-290A-4169-A896-A6835D354934}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{F29F88CE-290A-4169-A896-A6835D354934}.DebugLocal|Any CPU.ActiveCfg = DebugLocal|Any CPU
+		{F29F88CE-290A-4169-A896-A6835D354934}.DebugLocal|Any CPU.Build.0 = DebugLocal|Any CPU
+		{F29F88CE-290A-4169-A896-A6835D354934}.DebugLocal|x64.ActiveCfg = DebugLocal|Any CPU
+		{F29F88CE-290A-4169-A896-A6835D354934}.DebugLocal|x86.ActiveCfg = DebugLocal|Any CPU
+		{F29F88CE-290A-4169-A896-A6835D354934}.DebugServices|Any CPU.ActiveCfg = DebugServices|Any CPU
+		{F29F88CE-290A-4169-A896-A6835D354934}.DebugServices|Any CPU.Build.0 = DebugServices|Any CPU
+		{F29F88CE-290A-4169-A896-A6835D354934}.DebugServices|x64.ActiveCfg = DebugServices|Any CPU
+		{F29F88CE-290A-4169-A896-A6835D354934}.DebugServices|x86.ActiveCfg = DebugServices|Any CPU
 		{F29F88CE-290A-4169-A896-A6835D354934}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{F29F88CE-290A-4169-A896-A6835D354934}.Release|Any CPU.Build.0 = Release|Any CPU
Index: /branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave.App/3.3/HeuristicLab.Clients.Hive.Slave.App-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave.App/3.3/HeuristicLab.Clients.Hive.Slave.App-3.3.csproj	(revision 7018)
+++ /branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave.App/3.3/HeuristicLab.Clients.Hive.Slave.App-3.3.csproj	(revision 7019)
@@ -85,4 +85,99 @@
   <PropertyGroup>
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'DebugLocal|AnyCPU'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>..\..\bin\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>AnyCPU</PlatformTarget>
+    <CodeAnalysisLogFile>C:\dev\HeursticLab.Azure\\bin\HeuristicLab.Clients.Hive.Slave.App-3.3.dll.CodeAnalysisLog.xml</CodeAnalysisLogFile>
+    <CodeAnalysisUseTypeNameInSuppression>true</CodeAnalysisUseTypeNameInSuppression>
+    <CodeAnalysisModuleSuppressionsFile>GlobalSuppressions.cs</CodeAnalysisModuleSuppressionsFile>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+    <CodeAnalysisRuleSetDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\\Rule Sets</CodeAnalysisRuleSetDirectories>
+    <CodeAnalysisIgnoreBuiltInRuleSets>true</CodeAnalysisIgnoreBuiltInRuleSets>
+    <CodeAnalysisRuleDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\FxCop\\Rules</CodeAnalysisRuleDirectories>
+    <CodeAnalysisIgnoreBuiltInRules>true</CodeAnalysisIgnoreBuiltInRules>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'DebugLocal|x86'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x86\DebugLocal\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <CodeAnalysisLogFile>C:\dev\HeursticLab.Azure\\bin\HeuristicLab.Clients.Hive.Slave.App-3.3.dll.CodeAnalysisLog.xml</CodeAnalysisLogFile>
+    <CodeAnalysisUseTypeNameInSuppression>true</CodeAnalysisUseTypeNameInSuppression>
+    <CodeAnalysisModuleSuppressionsFile>GlobalSuppressions.cs</CodeAnalysisModuleSuppressionsFile>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+    <CodeAnalysisRuleSetDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\\Rule Sets</CodeAnalysisRuleSetDirectories>
+    <CodeAnalysisIgnoreBuiltInRuleSets>true</CodeAnalysisIgnoreBuiltInRuleSets>
+    <CodeAnalysisRuleDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\FxCop\\Rules</CodeAnalysisRuleDirectories>
+    <CodeAnalysisIgnoreBuiltInRules>true</CodeAnalysisIgnoreBuiltInRules>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'DebugLocal|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\DebugLocal\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <CodeAnalysisLogFile>C:\dev\HeursticLab.Azure\\bin\HeuristicLab.Clients.Hive.Slave.App-3.3.dll.CodeAnalysisLog.xml</CodeAnalysisLogFile>
+    <CodeAnalysisUseTypeNameInSuppression>true</CodeAnalysisUseTypeNameInSuppression>
+    <CodeAnalysisModuleSuppressionsFile>GlobalSuppressions.cs</CodeAnalysisModuleSuppressionsFile>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+    <CodeAnalysisRuleSetDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\\Rule Sets</CodeAnalysisRuleSetDirectories>
+    <CodeAnalysisIgnoreBuiltInRuleSets>true</CodeAnalysisIgnoreBuiltInRuleSets>
+    <CodeAnalysisRuleDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\FxCop\\Rules</CodeAnalysisRuleDirectories>
+    <CodeAnalysisIgnoreBuiltInRules>false</CodeAnalysisIgnoreBuiltInRules>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'DebugServices|AnyCPU'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>..\..\bin\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>AnyCPU</PlatformTarget>
+    <CodeAnalysisLogFile>C:\dev\HeursticLab.Azure\\bin\HeuristicLab.Clients.Hive.Slave.App-3.3.dll.CodeAnalysisLog.xml</CodeAnalysisLogFile>
+    <CodeAnalysisUseTypeNameInSuppression>true</CodeAnalysisUseTypeNameInSuppression>
+    <CodeAnalysisModuleSuppressionsFile>GlobalSuppressions.cs</CodeAnalysisModuleSuppressionsFile>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+    <CodeAnalysisRuleSetDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\\Rule Sets</CodeAnalysisRuleSetDirectories>
+    <CodeAnalysisIgnoreBuiltInRuleSets>true</CodeAnalysisIgnoreBuiltInRuleSets>
+    <CodeAnalysisRuleDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\FxCop\\Rules</CodeAnalysisRuleDirectories>
+    <CodeAnalysisIgnoreBuiltInRules>true</CodeAnalysisIgnoreBuiltInRules>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'DebugServices|x86'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x86\DebugServices\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <CodeAnalysisLogFile>C:\dev\HeursticLab.Azure\\bin\HeuristicLab.Clients.Hive.Slave.App-3.3.dll.CodeAnalysisLog.xml</CodeAnalysisLogFile>
+    <CodeAnalysisUseTypeNameInSuppression>true</CodeAnalysisUseTypeNameInSuppression>
+    <CodeAnalysisModuleSuppressionsFile>GlobalSuppressions.cs</CodeAnalysisModuleSuppressionsFile>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+    <CodeAnalysisRuleSetDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\\Rule Sets</CodeAnalysisRuleSetDirectories>
+    <CodeAnalysisIgnoreBuiltInRuleSets>true</CodeAnalysisIgnoreBuiltInRuleSets>
+    <CodeAnalysisRuleDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\FxCop\\Rules</CodeAnalysisRuleDirectories>
+    <CodeAnalysisIgnoreBuiltInRules>true</CodeAnalysisIgnoreBuiltInRules>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'DebugServices|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\DebugServices\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <CodeAnalysisLogFile>C:\dev\HeursticLab.Azure\\bin\HeuristicLab.Clients.Hive.Slave.App-3.3.dll.CodeAnalysisLog.xml</CodeAnalysisLogFile>
+    <CodeAnalysisUseTypeNameInSuppression>true</CodeAnalysisUseTypeNameInSuppression>
+    <CodeAnalysisModuleSuppressionsFile>GlobalSuppressions.cs</CodeAnalysisModuleSuppressionsFile>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+    <CodeAnalysisRuleSetDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\\Rule Sets</CodeAnalysisRuleSetDirectories>
+    <CodeAnalysisIgnoreBuiltInRuleSets>true</CodeAnalysisIgnoreBuiltInRuleSets>
+    <CodeAnalysisRuleDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\FxCop\\Rules</CodeAnalysisRuleDirectories>
   </PropertyGroup>
   <ItemGroup>
Index: /branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave.Azure/HeuristicLab.Clients.Hive.Slave.Azure.ccproj
===================================================================
--- /branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave.Azure/HeuristicLab.Clients.Hive.Slave.Azure.ccproj	(revision 7018)
+++ /branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave.Azure/HeuristicLab.Clients.Hive.Slave.Azure.ccproj	(revision 7019)
@@ -52,4 +52,10 @@
     <CloudExtensionsDir Condition=" '$(CloudExtensionsDir)' == '' ">$(MSBuildExtensionsPath)\Microsoft\VisualStudio\v$(VisualStudioVersion)\Windows Azure Tools\1.6\</CloudExtensionsDir>
   </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)' == 'DebugLocal' ">
+    <OutputPath>bin\DebugLocal\</OutputPath>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)' == 'DebugServices' ">
+    <OutputPath>bin\DebugServices\</OutputPath>
+  </PropertyGroup>
   <Import Project="$(CloudExtensionsDir)Microsoft.WindowsAzure.targets" />
 </Project>
Index: /branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave.AzureClient/HeuristicLab.Clients.Hive.Slave.AzureClient.csproj
===================================================================
--- /branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave.AzureClient/HeuristicLab.Clients.Hive.Slave.AzureClient.csproj	(revision 7018)
+++ /branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.Slave.AzureClient/HeuristicLab.Clients.Hive.Slave.AzureClient.csproj	(revision 7019)
@@ -34,5 +34,5 @@
     <DebugType>full</DebugType>
     <Optimize>false</Optimize>
-    <OutputPath>bin\Debug\</OutputPath>
+    <OutputPath>..\..\bin\</OutputPath>
     <DefineConstants>DEBUG;TRACE</DefineConstants>
     <ErrorReport>prompt</ErrorReport>
@@ -43,9 +43,41 @@
     <DebugType>pdbonly</DebugType>
     <Optimize>true</Optimize>
-    <OutputPath>bin\Release\</OutputPath>
+    <OutputPath>..\..\bin\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
     <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'DebugLocal|AnyCPU'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>..\..\bin\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>AnyCPU</PlatformTarget>
+    <CodeAnalysisLogFile>bin\Debug\HeuristicLab.Clients.Hive.Slave.AzureClient.dll.CodeAnalysisLog.xml</CodeAnalysisLogFile>
+    <CodeAnalysisUseTypeNameInSuppression>true</CodeAnalysisUseTypeNameInSuppression>
+    <CodeAnalysisModuleSuppressionsFile>GlobalSuppressions.cs</CodeAnalysisModuleSuppressionsFile>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+    <CodeAnalysisRuleSetDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\\Rule Sets</CodeAnalysisRuleSetDirectories>
+    <CodeAnalysisIgnoreBuiltInRuleSets>true</CodeAnalysisIgnoreBuiltInRuleSets>
+    <CodeAnalysisRuleDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\FxCop\\Rules</CodeAnalysisRuleDirectories>
+    <CodeAnalysisIgnoreBuiltInRules>true</CodeAnalysisIgnoreBuiltInRules>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'DebugServices|AnyCPU'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>..\..\bin\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>AnyCPU</PlatformTarget>
+    <CodeAnalysisLogFile>bin\Debug\HeuristicLab.Clients.Hive.Slave.AzureClient.dll.CodeAnalysisLog.xml</CodeAnalysisLogFile>
+    <CodeAnalysisUseTypeNameInSuppression>true</CodeAnalysisUseTypeNameInSuppression>
+    <CodeAnalysisModuleSuppressionsFile>GlobalSuppressions.cs</CodeAnalysisModuleSuppressionsFile>
+    <ErrorReport>prompt</ErrorReport>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
+    <CodeAnalysisRuleSetDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\\Rule Sets</CodeAnalysisRuleSetDirectories>
+    <CodeAnalysisIgnoreBuiltInRuleSets>true</CodeAnalysisIgnoreBuiltInRuleSets>
+    <CodeAnalysisRuleDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\FxCop\\Rules</CodeAnalysisRuleDirectories>
+    <CodeAnalysisIgnoreBuiltInRules>true</CodeAnalysisIgnoreBuiltInRules>
   </PropertyGroup>
   <ItemGroup>
@@ -67,4 +99,6 @@
   <ItemGroup>
     <None Include="app.config" />
+    <None Include="app.config.DebugLocal" />
+    <None Include="app.config.DebugServices" />
   </ItemGroup>
   <ItemGroup>
@@ -97,4 +131,7 @@
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <PropertyGroup>
+    <PreBuildEvent>"$(SolutionDir)CopyIfNewer.bat" "$(ProjectDir)app.config.$(ConfigurationName)" "$(ProjectDir)app.config"</PreBuildEvent>
+  </PropertyGroup>
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
        Other similar extension points exist, see Microsoft.Common.targets.
